// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: interconnectionmodule/interconnectionmodule.proto

package openfmb.interconnectionmodule;

public interface InterconnectionPointOrBuilder extends
    // @@protoc_insertion_point(interface_extends:interconnectionmodule.InterconnectionPoint)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   * @return Whether the blackStartEnabled field is set.
   */
  boolean hasBlackStartEnabled();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   * @return The blackStartEnabled.
   */
  openfmb.commonmodule.ControlSPC getBlackStartEnabled();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.commonmodule.ControlSPC blackStartEnabled = 1;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getBlackStartEnabledOrBuilder();

  /**
   * <pre>
   * Enable frequency set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC frequencySetPointEnabled = 2;</code>
   * @return Whether the frequencySetPointEnabled field is set.
   */
  boolean hasFrequencySetPointEnabled();
  /**
   * <pre>
   * Enable frequency set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC frequencySetPointEnabled = 2;</code>
   * @return The frequencySetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getFrequencySetPointEnabled();
  /**
   * <pre>
   * Enable frequency set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC frequencySetPointEnabled = 2;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getFrequencySetPointEnabledOrBuilder();

  /**
   * <pre>
   * Island control
   * </pre>
   *
   * <code>.commonmodule.ControlSPC island = 3;</code>
   * @return Whether the island field is set.
   */
  boolean hasIsland();
  /**
   * <pre>
   * Island control
   * </pre>
   *
   * <code>.commonmodule.ControlSPC island = 3;</code>
   * @return The island.
   */
  openfmb.commonmodule.ControlSPC getIsland();
  /**
   * <pre>
   * Island control
   * </pre>
   *
   * <code>.commonmodule.ControlSPC island = 3;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getIslandOrBuilder();

  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctHzDroop = 4;</code>
   * @return Whether the pctHzDroop field is set.
   */
  boolean hasPctHzDroop();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctHzDroop = 4;</code>
   * @return The pctHzDroop.
   */
  com.google.protobuf.FloatValue getPctHzDroop();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctHzDroop = 4;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getPctHzDroopOrBuilder();

  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctVDroop = 5;</code>
   * @return Whether the pctVDroop field is set.
   */
  boolean hasPctVDroop();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctVDroop = 5;</code>
   * @return The pctVDroop.
   */
  com.google.protobuf.FloatValue getPctVDroop();
  /**
   * <pre>
   * Black start enable
   * </pre>
   *
   * <code>.google.protobuf.FloatValue pctVDroop = 5;</code>
   */
  com.google.protobuf.FloatValueOrBuilder getPctVDroopOrBuilder();

  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 6;</code>
   * @return Whether the rampRates field is set.
   */
  boolean hasRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 6;</code>
   * @return The rampRates.
   */
  openfmb.commonmodule.RampRate getRampRates();
  /**
   * <pre>
   * Ramp rates
   * </pre>
   *
   * <code>.commonmodule.RampRate rampRates = 6;</code>
   */
  openfmb.commonmodule.RampRateOrBuilder getRampRatesOrBuilder();

  /**
   * <pre>
   * Enable reactive power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reactivePwrSetPointEnabled = 7;</code>
   * @return Whether the reactivePwrSetPointEnabled field is set.
   */
  boolean hasReactivePwrSetPointEnabled();
  /**
   * <pre>
   * Enable reactive power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reactivePwrSetPointEnabled = 7;</code>
   * @return The reactivePwrSetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getReactivePwrSetPointEnabled();
  /**
   * <pre>
   * Enable reactive power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC reactivePwrSetPointEnabled = 7;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getReactivePwrSetPointEnabledOrBuilder();

  /**
   * <pre>
   * Enable real power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC realPwrSetPointEnabled = 8;</code>
   * @return Whether the realPwrSetPointEnabled field is set.
   */
  boolean hasRealPwrSetPointEnabled();
  /**
   * <pre>
   * Enable real power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC realPwrSetPointEnabled = 8;</code>
   * @return The realPwrSetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getRealPwrSetPointEnabled();
  /**
   * <pre>
   * Enable real power set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC realPwrSetPointEnabled = 8;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getRealPwrSetPointEnabledOrBuilder();

  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC voltageSetPointEnabled = 9;</code>
   * @return Whether the voltageSetPointEnabled field is set.
   */
  boolean hasVoltageSetPointEnabled();
  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC voltageSetPointEnabled = 9;</code>
   * @return The voltageSetPointEnabled.
   */
  openfmb.commonmodule.ControlSPC getVoltageSetPointEnabled();
  /**
   * <pre>
   * Enable voltage set point
   * </pre>
   *
   * <code>.commonmodule.ControlSPC voltageSetPointEnabled = 9;</code>
   */
  openfmb.commonmodule.ControlSPCOrBuilder getVoltageSetPointEnabledOrBuilder();

  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.Timestamp startTime = 10 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the startTime field is set.
   */
  boolean hasStartTime();
  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.Timestamp startTime = 10 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The startTime.
   */
  openfmb.commonmodule.Timestamp getStartTime();
  /**
   * <pre>
   * Start time
   * </pre>
   *
   * <code>.commonmodule.Timestamp startTime = 10 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.TimestampOrBuilder getStartTimeOrBuilder();
}
